Naar hoofdinhoud gaan

Deze browser wordt niet meer ondersteund.

Upgrade naar Microsoft Edge om te profiteren van de nieuwste functies, beveiligingsupdates en technische ondersteuning.

Microsoft Edge downloaden Meer informatie over Internet Explorer en Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Schedules

Get a schedule

GET /schedules/{id}

Retrieves the specified schedule resource.

Queryparameters

api-version string vereist

The API version to use for this operation.

Padparameters

id string vereist

Identifier of the schedule.

Koptekstparameters

Foundry-Features enum vereist

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Schedules=V1Preview

Antwoorden

The request has succeeded.

Hoofdtekst

Content-Type: application/json
id string vereist

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean vereist

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

Een van de volgende:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime vereist

Base model for Trigger of the schedule.

Een van de volgende:
Cron CronTrigger

Cron based trigger.

type enum vereist
Cron
expression string vereist

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum vereist

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer vereist

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly vereist

Recurrence schedule model.

Een van de volgende:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum vereist
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum vereist

Daily recurrence type.

Daily
hours integer[] vereist

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum vereist

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] vereist

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum vereist

Monthly recurrence type.

Monthly
daysOfMonth integer[] vereist

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum vereist
OneTime
triggerAt string vereist

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight vereist

Schedule task model.

Een van de volgende:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum vereist
Evaluation
evalId string vereist

Identifier of the evaluation group.

evalRun object vereist

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum vereist
Insight
insight Insight vereist

The response body for cluster insights.

id string vereist

The unique identifier for the insights report.

metadata InsightsMetadata vereist

Metadata about the insights.

createdAt string vereist

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string vereist

Enum describing allowed operation states.

Een van de volgende:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string vereist

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison vereist

The request of the insights report.

Een van de volgende:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum vereist

The type of insights request.

EvaluationRunClusterInsight
evalId string vereist

Evaluation Id for the insights.

runIds string[] vereist

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string vereist

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum vereist

The type of request.

AgentClusterInsight
agentName string vereist

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string vereist

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum vereist

The type of request.

EvaluationComparison
evalId string vereist

Identifier for the evaluation.

baselineRunId string vereist

The baseline run ID for comparison.

treatmentRunIds string[] vereist

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Een van de volgende:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum vereist

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] vereist

Comparison results for each treatment run against the baseline.

method string vereist

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum vereist

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult vereist

Insights from the cluster analysis.

summary InsightSummary vereist

Summary of the error cluster analysis.

sampleCount integer vereist

Total number of samples analyzed.

uniqueSubclusterCount integer vereist

Total number of unique subcluster labels.

uniqueClusterCount integer vereist

Total number of unique clusters.

method string vereist

Method used for clustering.

usage ClusterTokenUsage vereist

Token usage for cluster analysis

inputTokenUsage integer vereist

input token usage

outputTokenUsage integer vereist

output token usage

totalTokenUsage integer vereist

total token usage

clusters InsightCluster[] vereist

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer vereist

X-axis coordinate.

y integer vereist

Y-axis coordinate.

size integer vereist

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum vereist

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult vereist

Insights from the cluster analysis.

summary InsightSummary vereist

Summary of the error cluster analysis.

sampleCount integer vereist

Total number of samples analyzed.

uniqueSubclusterCount integer vereist

Total number of unique subcluster labels.

uniqueClusterCount integer vereist

Total number of unique clusters.

method string vereist

Method used for clustering.

usage ClusterTokenUsage vereist

Token usage for cluster analysis

inputTokenUsage integer vereist

input token usage

outputTokenUsage integer vereist

output token usage

totalTokenUsage integer vereist

total token usage

clusters InsightCluster[] vereist

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer vereist

X-axis coordinate.

y integer vereist

Y-axis coordinate.

size integer vereist

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object vereist

System metadata for the resource.

[key: string] string

Client error

Kopteksten

x-ms-error-code string

String error code indicating what went wrong.

Hoofdtekst

Content-Type: application/json
error Azure.Core.Foundations.Error vereist

The error object.

code string vereist

One of a server-defined set of error codes.

message string vereist

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Kopteksten

x-ms-error-code string

String error code indicating what went wrong.

Hoofdtekst

Content-Type: application/json
error Azure.Core.Foundations.Error vereist

The error object.

code string vereist

One of a server-defined set of error codes.

message string vereist

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Aanvraag

GET /schedules/{id} HTTP/1.1

Respons

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
nl-nl
Uw privacykeuzes
  • AI-disclaimer
  • Vorige versies
  • Blog
  • Bijdragen
  • Privacy
  • Privacy van gezondheidsdata
  • Gebruiksvoorwaarden
  • Handelsmerken
  • © Microsoft 2026